org.apache.ignite.internal.managers.communication

## Interface GridMessageListener

All Superinterfaces:
  EventListener

    public interface GridMessageListener
    extends EventListener

Listener for messages received from remote nodes.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onMessage(UUID nodeId, Object msg, byte plc)` Notification for received messages.

### Method Detail

#### onMessage

    void onMessage(UUID nodeId,
                   Object msg,
                   byte plc)

Notification for received messages.

Parameters:
  `nodeId` - ID of node that sent the message. Note that may have already left topology by the time this message is received.
  `msg` - Message received.
  `plc` - Message policy (pool).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021